%global git_commit b362566
%global cluster wmeissner

Name:     jaffl
Version:  0.5.9
Release:  %mkrel 6
Summary:  Java Abstracted Foreign Function Layer
Group:    Development/Java
License:  LGPLv3
URL:      http://github.com/%{cluster}/%{name}
Source0:  https://download.github.com/%{cluster}-%{name}-%{version}-0-g%{git_commit}.tar.gz
Patch0:   jaffl_fix_jar_dependencies.patch
Patch1:   jaffl_remove_impure.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: jffi
BuildRequires: jnr-x86asm
BuildRequires: objectweb-asm

Requires:      java
Requires:      jpackage-utils
Requires:      jffi
Requires:      jnr-x86asm
Requires:      objectweb-asm
BuildArch:     noarch

%description
An abstracted interface to invoking native functions from java

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}
%patch0 -p0
%patch1 -p0

# remove all builtin jars
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

# remove tests/junit dependency
rm -rf test/

mkdir build_lib
build-jar-repository -s -p build_lib jffi jnr-x86asm objectweb-asm/asm \
                                     objectweb-asm/analysis objectweb-asm/commons \
                                     objectweb-asm/tree objectweb-asm/util objectweb-asm/xml

%build
ant

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -m 644 dist/%{name}-0.5.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -rp dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.5.9-6.mga4
+ Revision: 538028
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 0.5.9-5.mga4
+ Revision: 488305
- Import jaffl
- Import jaffl


* Fri Oct 29 2010 Mohammed Morsi <mmorsi@redhat.com> - 0.5.4-4
- license fix, include pom.xml, install javadocs correctly

* Tue Oct 26 2010 Mohammed Morsi <mmorsi@redhat.com> - 0.5.4-3
- change to patch0 to remove class-path-in-manifest rpmlint error

* Thu Sep 16 2010 Matěj Cepl <mcepl@redhat.com> - 0.5.4-2
- Make the package noarch

* Thu Sep  09 2010  <mmorsi@redhat.com> - 0.5.4-1
- bumped version to 0.5.4
- added jaffl_remove_invokedynamic.patch

* Thu Jan  28 2009  <mmorsi@redhat.com> - 0.3.4-1
- Initial build.
